Create table SHKProcessDefinitions
(
Name  NVARCHAR (200)  NOT NULL     ,
PackageId  NVARCHAR (90)  NOT NULL     ,
ProcessDefinitionId  NVARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  NVARCHAR (90)     ,
ProcessDefinitionCreated  BIGINT NOT NULL     ,
ProcessDefinitionVersion  NVARCHAR (20)  NOT NULL     ,
State  INT NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcesses
(
SyncVersion  BIGINT NOT NULL     ,
Id  NVARCHAR (100)  NOT NULL     ,
ProcessDefinition  DECIMAL (19,0)  NOT NULL    ,
PDefName  NVARCHAR (200)  NOT NULL     ,
ActivityRequesterId  NVARCHAR (100)     ,
ActivityRequesterProcessId  NVARCHAR (100)     ,
ResourceRequesterId  NVARCHAR (100)  NOT NULL     ,
ExternalRequesterClassName  NVARCHAR (254)     ,
State  DECIMAL (19,0)  NOT NULL    ,
Priority  INT    ,
Name  NVARCHAR (254)     ,
Created  BIGINT NOT NULL     ,
CreatedTZO  BIGINT NOT NULL     ,
Started  BIGINT    ,
StartedTZO  BIGINT    ,
LastStateTime  BIGINT NOT NULL     ,
LastStateTimeTZO  BIGINT NOT NULL     ,
LimitTime  BIGINT NOT NULL     ,
LimitTimeTZO  BIGINT NOT NULL     ,
Description  NVARCHAR (254)     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessRequesters
(
Id  NVARCHAR (100)  NOT NULL     ,
ActivityRequester  DECIMAL (19,0)     ,
ResourceRequester  DECIMAL (19,0)     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivities
(
Id  NVARCHAR (100)  NOT NULL     ,
ActivitySetDefinitionId  NVARCHAR (90)     ,
ActivityDefinitionId  NVARCHAR (90)  NOT NULL     ,
Process  DECIMAL (19,0)  NOT NULL    ,
TheResource  DECIMAL (19,0)     ,
PDefName  NVARCHAR (200)  NOT NULL     ,
ProcessId  NVARCHAR (200)  NOT NULL     ,
ResourceId  NVARCHAR (100)     ,
State  DECIMAL (19,0)  NOT NULL    ,
BlockActivityId  NVARCHAR (100)     ,
Performer  NVARCHAR (100)     ,
IsPerformerAsynchronous  TINYINT    ,
Priority  INT    ,
Name  NVARCHAR (254)     ,
Activated  BIGINT NOT NULL     ,
ActivatedTZO  BIGINT NOT NULL     ,
Accepted  BIGINT    ,
AcceptedTZO  BIGINT    ,
LastStateTime  BIGINT NOT NULL     ,
LastStateTimeTZO  BIGINT NOT NULL     ,
LimitTime  BIGINT NOT NULL     ,
LimitTimeTZO  BIGINT NOT NULL     ,
Description  NVARCHAR (254)     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKResourcesTable
(
Username  NVARCHAR (100)  NOT NULL     ,
Name  NVARCHAR (100)     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKAssignmentsTable
(
Activity  DECIMAL (19,0)  NOT NULL    ,
TheResource  DECIMAL (19,0)  NOT NULL    ,
ActivityId  NVARCHAR (100)  NOT NULL     ,
ActivityProcessId  NVARCHAR (100)  NOT NULL     ,
ActivityProcessDefName  NVARCHAR (200)  NOT NULL     ,
ResourceId  NVARCHAR (100)  NOT NULL     ,
IsAccepted  TINYINT NOT NULL     ,
IsValid  TINYINT NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessData
(
Process  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  NVARCHAR (100)  NOT NULL     ,
VariableType  INT NOT NULL     ,
VariableValue  IMAGE    ,
VariableValueXML  NVARCHAR (4000)    ,
VariableValueVCHAR  NVARCHAR (4000)     ,
VariableValueDBL  REAL    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  TINYINT    ,
OrdNo  INT NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessDataWOB
(
Process  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  NVARCHAR (100)  NOT NULL     ,
VariableType  INT NOT NULL     ,
VariableValueXML  NVARCHAR (4000)    ,
VariableValueVCHAR  NVARCHAR (4000)     ,
VariableValueDBL  REAL    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  TINYINT    ,
OrdNo  INT NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessDataBLOBs
(
ProcessDataWOB  DECIMAL (19,0)  NOT NULL    ,
VariableValue  IMAGE    ,
OrdNo  INT NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityData
(
Activity  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  NVARCHAR (100)  NOT NULL     ,
VariableType  INT NOT NULL     ,
VariableValue  IMAGE    ,
VariableValueXML  NVARCHAR (4000)    ,
VariableValueVCHAR  NVARCHAR (4000)     ,
VariableValueDBL  REAL    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  TINYINT    ,
IsResult  TINYINT NOT NULL     ,
OrdNo  INT NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityDataWOB
(
Activity  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  NVARCHAR (100)  NOT NULL     ,
VariableType  INT NOT NULL     ,
VariableValueXML  NVARCHAR (4000)    ,
VariableValueVCHAR  NVARCHAR (4000)     ,
VariableValueDBL  REAL    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  TINYINT    ,
IsResult  TINYINT NOT NULL     ,
OrdNo  INT NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityDataBLOBs
(
ActivityDataWOB  DECIMAL (19,0)  NOT NULL    ,
VariableValue  IMAGE    ,
OrdNo  INT NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKAndJoinTable
(
Process  DECIMAL (19,0)  NOT NULL    ,
BlockActivity  DECIMAL (19,0)     ,
ActivityDefinitionId  NVARCHAR (90)  NOT NULL     ,
Activity  DECIMAL (19,0)  NOT NULL    ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKDeadlines
(
Process  DECIMAL (19,0)  NOT NULL    ,
Activity  DECIMAL (19,0)  NOT NULL    ,
CNT  DECIMAL (19,0)  NOT NULL     ,
TimeLimit  BIGINT NOT NULL     ,
TimeLimitTZO  BIGINT NOT NULL     ,
ExceptionName  NVARCHAR (100)  NOT NULL     ,
IsSynchronous  TINYINT NOT NULL     ,
IsExecuted  TINYINT NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessStates
(
KeyValue  NVARCHAR (30)  NOT NULL     ,
Name  NVARCHAR (50)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityStates
(
KeyValue  NVARCHAR (30)  NOT NULL     ,
Name  NVARCHAR (50)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



